Subject: Signal and event

From: Chuong Nguyen <[email-masked]>
Date: Fri, 23 Jun 2000 09:07:51 -0500

Hi all

I have a TDM and RTP terminations in one context w/the following
transaction:

Transaction = 1 {Context = 100 {
                                 Add = TDM{Signals{al/ri},
                                                        Events = 123
{al/of} },
                                 Add = RTP{Signals{al/ri},
                                                        Events = 123
{al/of} } }}

Looking through the archive, the accepted convention is that any event
detected will STOP
ALL active signals.

Is this true?
If yes, can someone point me to the text in the Standard regarding this?

If not, will the following be a way to turn of ringing signal upon
detection of off-hook event?

Transaction = 1 {Context = 100 {
                                 Add = TDM{Signals{al/ri},
                                                        Events = 123
{al/of {Embed{Signals{} } } },
                                 Add = RTP{Signals{al/ri},
                                                        Events = 123
{al/of} {Embed{Signals{} }  } }}
---

Is the event scoped to termination or context?

In the above example, I want to stop the ringing signal being applied to
the TDM and RTP
terminations upon detection of an off-hook event.

Normally one would think that only the TDM termination would detect the
off-hook event
so does making the RTP termination detect an off-hook event invalid?
In general can RTP termination detect event?

Does anyone have any sugggestion on how I can apply ringing signal to
the TDM and RTP
terminations and stop the signal upon detection of an off-hook event?

Thanks
Chuong

--
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****

---

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 23 Jun 2000 12:54:22 -0400

The following text occurs in section 7.1.11

Production of a Signal on a Termination is stopped by application of
   a new SignalsDescriptor, or detection of an Event on the Termination
   (see section 7.1.9).

Events are scoped to termination, not context.

Your example is pretty contrived, in that normally, power ring is
sent to the analog line, and ringback is sent to the RTP termination.
Detection of off hook would stop power ring, but not ringback,
because off hook would not be detected on the RTP.  In fact,
it would be most unusual to implement the al package on an RTP
flow.

So, your second example will not work to stop ringback to the RTP,
because al/of will not be detected (actually, detectable) on the RTP.

I don't know of a way to stop the ringback without MGC interaction.
You would need a real script.

Brian

-----Original Message-----
From: Chuong Nguyen [mailto:[email-masked]]
Sent: Friday, June 23, 2000 10:08 AM
To: [email-masked]
Subject: Signal and event

Hi all

                                                        Events = 123 {al/of}
},
                                                        Events = 123 {al/of}
} }}
If not, will the following be a way to turn of ringing signal upon detection
of off-hook event?
                                                        Events = 123 {al/of
{Embed{Signals{} } } },
                                                        Events = 123 {al/of}
{Embed{Signals{} }  } }}
---

Is the event scoped to termination or context?
In the above example, I want to stop the ringing signal being applied to the
TDM and RTP
terminations upon detection of an off-hook event.
Normally one would think that only the TDM termination would detect the
off-hook event
so does making the RTP termination detect an off-hook event invalid?
In general can RTP termination detect event?
Does anyone have any sugggestion on how I can apply ringing signal to the
TDM and RTP
terminations and stop the signal upon detection of an off-hook event?
Thanks
Chuong